Subject: Re: [RFC PATCH v3 2/3] io_uring: add api to set napi busy poll timeout.

From: Jens Axboe <[email-masked]>
Date: Wed, 16 Nov 2022 12:05:36 -0700

On 11/15/22 12:08 AM, Stefan Roesch wrote:
> This adds an api to register the busy poll timeout from liburing. To be
> able to use this functionality, the corresponding liburing patch is needed.

Kind of related to the previous question, but I think we should just add
a single REGISTER opcode for this, and define a struct with the delay
setting. Add necessary padding for that, check padding for non-zero and
EINVAL if set. Then patch 3 can just add that struct field.

The IORING_REGISTER_NAPI can then also return the current settings by
just copying it back. That makes it a get/set API as well.

Patch 1 would be unaffected, this just changes patch 2+3 for the
io_uring API.

-- 
Jens Axboe